import request from '@/router/axios';

export const getList = (params) => {
  return request({
    url: '/api/bigdata/visualmap/list',
    method: 'get',
    params: {
      ...params
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/bigdata/visualmap/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/bigdata/visualmap/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/bigdata/visualmap/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/bigdata/visualmap/submit',
    method: 'post',
    data: row
  })
}

